/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Recipient identified for the prescription
 */
@ApiModel(description = "Recipient identified for the prescription")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model272 {
  @SerializedName("name")
  private String name = null;

  @SerializedName("address")
  private Model271 address = null;

  @SerializedName("phone")
  private Model42 phone = null;

  @SerializedName("fax")
  private Fax fax = null;

  @SerializedName("comments")
  private String comments = null;

  @SerializedName("reference")
  private String reference = null;

  public Model272 name(String name) {
    this.name = name;
    return this;
  }

   /**
   * Recipient name
   * @return name
  **/
  @ApiModelProperty(example = "Pharmacy Place de la République", value = "Recipient name")
  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public Model272 address(Model271 address) {
    this.address = address;
    return this;
  }

   /**
   * Get address
   * @return address
  **/
  @ApiModelProperty(value = "")
  public Model271 getAddress() {
    return address;
  }

  public void setAddress(Model271 address) {
    this.address = address;
  }

  public Model272 phone(Model42 phone) {
    this.phone = phone;
    return this;
  }

   /**
   * Get phone
   * @return phone
  **/
  @ApiModelProperty(value = "")
  public Model42 getPhone() {
    return phone;
  }

  public void setPhone(Model42 phone) {
    this.phone = phone;
  }

  public Model272 fax(Fax fax) {
    this.fax = fax;
    return this;
  }

   /**
   * Get fax
   * @return fax
  **/
  @ApiModelProperty(required = true, value = "")
  public Fax getFax() {
    return fax;
  }

  public void setFax(Fax fax) {
    this.fax = fax;
  }

  public Model272 comments(String comments) {
    this.comments = comments;
    return this;
  }

   /**
   * Comments regarding the recipient
   * @return comments
  **/
  @ApiModelProperty(example = "None", value = "Comments regarding the recipient")
  public String getComments() {
    return comments;
  }

  public void setComments(String comments) {
    this.comments = comments;
  }

  public Model272 reference(String reference) {
    this.reference = reference;
    return this;
  }

   /**
   * Recipient reference
   * @return reference
  **/
  @ApiModelProperty(example = "abcd-1", value = "Recipient reference")
  public String getReference() {
    return reference;
  }

  public void setReference(String reference) {
    this.reference = reference;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model272 model272 = (Model272) o;
    return Objects.equals(this.name, model272.name) &&
        Objects.equals(this.address, model272.address) &&
        Objects.equals(this.phone, model272.phone) &&
        Objects.equals(this.fax, model272.fax) &&
        Objects.equals(this.comments, model272.comments) &&
        Objects.equals(this.reference, model272.reference);
  }

  @Override
  public int hashCode() {
    return Objects.hash(name, address, phone, fax, comments, reference);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model272 {\n");
    
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    address: ").append(toIndentedString(address)).append("\n");
    sb.append("    phone: ").append(toIndentedString(phone)).append("\n");
    sb.append("    fax: ").append(toIndentedString(fax)).append("\n");
    sb.append("    comments: ").append(toIndentedString(comments)).append("\n");
    sb.append("    reference: ").append(toIndentedString(reference)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

